searchNodes=[{"doc":"An opinionated JSONSchema compiler for elixir. Currently supports JSONSchema drafts 4, 6, 7, 2019, and 2020. except: multipleOf is not supported for number types. This is because elixir does not support a floating point remainder guard, and also because it is impossible for a floating point to guarantee sane results (e.g. for IEEE Float64, 1.2 / 0.1 != 12 ) id fields with fragments in their uri identifier (draft 7 and earlier only) dynamicRefs and anchors. contentMediaType, contentEncoding, contentSchema For details, see: http://json-schema.org Exonerate is automatically tested against the JSONSchema test suite. Usage Exonerate is 100% compile-time generated. You should include Exonerate with the runtime: false option in mix.exs . In your module: defmodule MyModule do require Exonerate Exonerate . function_from_string ( :def , :function_name , &quot;&quot;&quot; { &quot;type&quot;: &quot;string&quot; } &quot;&quot;&quot; ) end The above module generates a function MyModule.function_name/1 that takes an BEAM JSON term ( string | number | array | map | bool | nil ) and validates it based on the the JSONschema. If the term validates, it produces :ok . If the term fails to validate, it produces {:error, keyword} , where the key :instance_location and points to the error location in the passed parameter, the :schema_pointers points to the validation that failed, and error_value is the failing inner term. Error keywords The following error keywords conform to the JSONSchema spec ( https://json-schema.org/draft/2020-12/json-schema-core.html#name-format ): :absolute_keyword_location : a JSON pointer to the keyword in the schema that failed. :instance_location : a JSON pointer to the location in the instance that failed. :errors : a list of errors generated when a combining filter fails to match. The following error keywords are not standard and are specific to Exonerate: :error_value : the innermost term that failed to validate. :matches : a list of JSON pointers to the keywords that matched a combining filter. :reason : a string describing the error, when the failing filter can fail for nonobvious reasons. For example oneOf will fail with the reason &quot;no matches&quot; when none of the child schemas match; but it will fail with the reason &quot;multiple matches&quot; when more than of the child schemas match. :required : a list of object keys that were required but missing. :ref_trace : a list of $ref keywords that were followed to get to the failing keyword. Options The following options are available: :dump : true to dump the generated code to the console. :metadata : true to enable all metadata decorator functions or a list of atoms parameters to enable. The following metadata are accessible by passing the corresponding atom to the generated function in lieu of a JSON term to validate. JSONschema tag atom parameter $id or id :id $schema :schema_id default :default examples :examples description :description title :title &lt;entire schema&gt; :schema :format : instructions for using (optional) format filters. This should be either true or a keyword list: true : shorthand for [default: true] keywords: :at : a list of {&lt;json pointer&gt;, &lt;filter-spec&gt;} tuples to apply format filters in specific locations in the schema. This can be used to specify custom filters for non-default format types. It can also be used to override default formatting. &lt;json pointer&gt; should be a string which may be relative if no &quot;id&quot; or &quot;$id&quot; metadata are present in the parents of the location. Otherwise, the pointer must the a uri of the nearest parent containing &quot;id&quot; or &quot;$id&quot; metadata, with the relative pointer applied as the fragment of the uri. &lt;filter-spec&gt; may either be a module, which implies the existence of the module.validate/1 function, {module, function} which implies the existence of module.function/1 , or {module, function, [extra-args]} which implies the existence of module.function/n where the extra args are appended to the end of string to be validated. In all cases, the validation function is expected to emit :ok if the string validates, or {:error, reason} , if it does not. reason should either be a string or nil . :type : a list of {&lt;format-type&gt;, &lt;filter-spec&gt;} to apply across the schema whenever &lt;format-type&gt; is encountered. This can be used to specify custom filters for non-default format types. It can also be used to override default formatting. &lt;filter-spec&gt; is as above. :default : true to enable all default filters or a list of strings specifying the default format types to enable. The following format types are available: &quot;date-time&quot; : enables the default date-time filter for all {&quot;format&quot;: &quot;date-time&quot;} contexts. This uses Elixir's NaiveDateTime.from_iso8601/1 parser. &quot;date-time-utc&quot; : enables the default date-time-utc filter for all {&quot;format&quot;: &quot;date-time-utc&quot;} contexts. This uses Elixir's DateTime.from_iso8601/1 parser, and requires the offset to be 0 from UTC. &quot;date-time-tz&quot; : enables the default date-time filter for all {&quot;format&quot;: &quot;date-time-tz&quot;} context strings. This uses Elixir's DateTime.from_iso8601/1 parser, which requires an offset to be specified. &quot;date&quot; : enables the default date filter for all {&quot;format&quot;: &quot;date&quot;} context strings. This uses Elixir's Date.from_iso8601/1 parser. &quot;time&quot; : enables the default time filter for all {&quot;format&quot;: &quot;time&quot;} context strings. This uses Elixir's Time.from_iso8601/1 parser. &quot;duration&quot; : enables the default duration filter for all {&quot;format&quot;: &quot;duration&quot;} context strings. This uses a custom ABNF validator that matches Appendix A of RFC 3339: https://www.rfc-editor.org/rfc/rfc3339.txt The validation function can be generated by Exonerate.Formats.Duration . requires NimbleParsec and Pegasus dependencies. &quot;ipv4&quot; : enables the default ipv4 filter for all {&quot;format&quot;: &quot;ipv4&quot;} context strings. This uses Erlang's :inet.parse_ipv4strict_address/1 parser. &quot;ipv6&quot; : enables the default ipv6 filter for all {&quot;format&quot;: &quot;ipv6&quot;} context strings. This uses Erlang's :inet.parse_ipv6strict_address/1 parser. &quot;uuid&quot; : enables the default uuid filter for all {&quot;format&quot;: &quot;uuid&quot;} context strings. &quot;email&quot; : enables the default email filter for all {&quot;format&quot;: &quot;email&quot;} context strings. This uses a custom ABNF validator that matches section 4.1.2 of RFC 5322: https://www.rfc-editor.org/rfc/rfc5322.txt The validation function can be generated by Exonerate.Formats.Email . requires NimbleParsec and Pegasus dependencies. &quot;idn-email&quot; : enables the default idn-email (i18n email address) filter for all {&quot;format&quot;: &quot;idn-email&quot;} context strings. This uses a custom ABNF validator that matches section 3.3 of RFC 6531: https://www.rfc-editor.org/rfc/rfc5322.txt The validation function can be generated by Exonerate.Formats.IdnEmail . requires NimbleParsec and Pegasus dependencies. &quot;hostname&quot; : enables the default hostname filter for all {&quot;format&quot;: &quot;hostname&quot;} context strings. This uses a custom ABNF validator that matches section 2.1 of RFC 1123: https://www.rfc-editor.org/rfc/rfc1123.txt The validation function can be generated by Exonerate.Formats.Hostname . requires NimbleParsec and Pegasus dependencies. &quot;idn-hostname&quot; : enables the default idn-hostname (i18n hostname) filter for all {&quot;format&quot;: &quot;idn-hostname&quot;} context strings. Note that in order to use this filter, you must add the :idna library to your dependencies. The validation function can be generated by Exonerate.Formats.IdnHostname . requires NimbleParsec and Pegasus dependencies. &quot;uri&quot; : enables the default uri filter for all {&quot;format&quot;: &quot;uri&quot;} context strings. This uses a custom ABNF validator that matches section 3 of RFC 3986: https://www.rfc-editor.org/rfc/rfc3986.txt . Absolute URIs uris must be absolute, i.e. they must contain a scheme, host, and path. If you need relative uris, use the uri-reference filter. The validation function can be generated by Exonerate.Formats.Uri . requires NimbleParsec and Pegasus dependencies. &quot;uri-reference&quot; : enables the default uri-reference filter for all {&quot;format&quot;: &quot;uri-reference&quot;} context strings. This uses a custom ABNF validator that matches section 3 of RFC 3986: https://www.rfc-editor.org/rfc/rfc3986.txt . The validation function can be generated by Exonerate.Formats.UriReference . requires NimbleParsec and Pegasus dependencies. &quot;iri&quot; : enables the default iri (i18n uri) filter for all {&quot;format&quot;: &quot;iri&quot;} context strings. This uses a custom ABNF validator that matches section 2.2 of RFC 3987: https://www.rfc-editor.org/rfc/rfc3987.txt . Absolute IRIs iris must be absolute, i.e. they must contain a scheme, host, and path. If you need relative iris, use the iri-reference filter. The validation function can be generated by Exonerate.Formats.Iri . requires NimbleParsec and Pegasus dependencies. &quot;iri-reference&quot; : enables the default iri-reference (i18n uri) for all {&quot;format&quot;: &quot;iri-reference&quot;} context strings. This uses a custom ABNF validator that matches section 2.2 of RFC 3987: https://www.rfc-editor.org/rfc/rfc3987.txt . The validation function can be generated by Exonerate.Formats.IriReference . requires NimbleParsec and Pegasus dependencies. &quot;uri-template&quot; : enables the default uri-template filter for all {&quot;format&quot;: &quot;uri-template&quot;} context strings. This uses a custom ABNF validator that matches section 2.3 of RFC 6570: https://www.rfc-editor.org/rfc/rfc6570.txt . URI-Template parent uri-templates are templated against iri-reference strings. This means they do not need to be absolute, and they may include unicode characters. The validation function can be generated by Exonerate.Formats.UriTemplate . requires NimbleParsec and Pegasus dependencies. &quot;json-pointer&quot; : enables the default json-pointer filter for all {&quot;format&quot;: &quot;json-pointer&quot;} context strings. This uses a custom ABNF validator that matches section 3 of RFC 6901: https://www.rfc-editor.org/rfc/rfc6901.txt The validation function can be generated by Exonerate.Formats.JsonPointer . requires NimbleParsec and Pegasus dependencies. &quot;relative-json-pointer&quot; : enables the default relative-json-pointer filter for all {&quot;format&quot;: &quot;relative-json-pointer&quot;} context strings. This uses a custom ABNF validator that matches the followowing rfc proposal: https://datatracker.ietf.org/doc/html/draft-handrews-relative-json-pointer-01 The validation function can be generated by Exonerate.Formats.RelativeJsonPointer . requires NimbleParsec and Pegasus dependencies. &quot;regex&quot; : enables the default regex filter for all {&quot;format&quot;: &quot;regex&quot;} context strings. Note: this does not compile the regex, instead it uses a custom ABNF validator that matches the ECMA-262 standard: https://www.ecma-international.org/publications-and-standards/standards/ecma-262/ The validation function can be generated by Exonerate.Formats.Regex . requires NimbleParsec and Pegasus dependencies. :entrypoint : a JSONpointer to the internal location inside of a json document where you would like to start the JSONschema. This should be in JSONPointer form (not URI form). See https://datatracker.ietf.org/doc/html/rfc6901 for more information about JSONPointer :decoders : a list of {&lt;mimetype&gt;, &lt;decoder&gt;} tuples. &lt;encoding-type&gt; should be a string that matches the content-type of the schema. &lt;decoder&gt; should be one of the following: Jason (default) for json parsing YamlElixir for yaml parsing {module, function} for custom parsing; the function should accept a string and return json term, raising if the string is not valid input for the decoder. Defaults to [{&quot;application/json&quot;, Jason}, {&quot;application/yaml&quot;, YamlElixir}] . Tuples specified in this option will override or add to the defaults. :draft : specifies any special draft information. Defaults to &quot;2020&quot; , &quot;2019&quot; , &quot;4&quot; , &quot;6&quot; , and &quot;7&quot; are also supported. This overrides draft information provided in the schema Validation Validation is NOT performed on the schema, so intermingling draft components is possible (but not recommended). In the future, using components in the wrong draft may cause a compile-time warning. remoteRef schema retrieval options :remote_fetch_adapter : specifies the module to use for fetching remote resources. This module must export a fetch_remote!/2 function which is passed a URI.t/0 struct and returns {&lt;body&gt;, &lt;content-type&gt;} pair. content-type may be nil . Defaults to Exonerate.Remote , which uses the Req library to perform the http request. :force_remote : bypasses the manual prompt confirming if remote resources should be downoladed. Use with caution! Defaults to false . :cache : if remote JSONs should be cached to the local filesystem. Defaults to false :cache_app : specifies the otp app whose priv directory cached remote JSONs are stored. Defaults to :exonerate . :cache_path : specifies the subdirectory of priv where cached remote JSONs are stored. Defaults to / . :proxy : a string proplist which describes string substitution of url resources for proxied remote content. Example [ proxy : [ { &quot;https://my.remote.resource/&quot; , &quot;http://localhost:4000&quot; } ] ]","ref":"Exonerate.html","title":"Exonerate","type":"module"},{"doc":"generates a series of functions that validates a JSONschema in a file at the provided path. Note that the path parameter must be a Path.t/0 value. Extra options :content_type : specifies the content-type of the provided schema string literal. Defaults to application/json if the file extension is .json , and application/yaml if the file extension is .yaml If :content_type is unspecified and the file extension is unrecognized, Exonerate will not be able to compile. :mimetype_mapping : a proplist of {&lt;extension&gt;, &lt;mimetype&gt;} tuples. This is used to determine the content-type of the schema if the file extension is unrecognized. E.g. [{&quot;.html&quot;, &quot;text/html&quot;}] . The mappings {&quot;.json&quot;, &quot;application/json&quot;} and {&quot;.yaml&quot;, &quot;application/yaml&quot;} are not overrideable.","ref":"Exonerate.html#function_from_file/4","title":"Exonerate.function_from_file/4","type":"macro"},{"doc":"generates a series of functions that validates a provided JSONSchema. Note that the schema parameter must be a string literal. Extra options :content_type : specifies the content-type of the provided schema string literal. Defaults to &quot;application/json&quot; . This is used to determine which decoder to use to parse the schema. :mimetype_mapping : a proplist of {&lt;extension&gt;, &lt;mimetype&gt;} tuples. This is used to determine the content-type of the schema if the file extension is unrecognized. E.g. [{&quot;.html&quot;, &quot;text/html&quot;}] . The mappings {&quot;.json&quot;, &quot;application/json&quot;} and {&quot;.yaml&quot;, &quot;application/yaml&quot;} are not overrideable.","ref":"Exonerate.html#function_from_string/4","title":"Exonerate.function_from_string/4","type":"macro"},{"doc":"Module which provides a macro that generates special code for a duration filter. This format is governed by appendix A of RFC 3339: https://www.rfc-editor.org/rfc/rfc3339.txt","ref":"Exonerate.Formats.Duration.html","title":"Exonerate.Formats.Duration","type":"module"},{"doc":"Creates a NimbleParsec parser ~duration/1 . This function returns {:ok, ...} if the passed string is a valid duration, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~duration&quot;","ref":"Exonerate.Formats.Duration.html#filter/1","title":"Exonerate.Formats.Duration.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for a duration filter. the format is governed by section 4.1.2 of RFC 5321: https://www.rfc-editor.org/rfc/rfc5321.txt","ref":"Exonerate.Formats.Email.html","title":"Exonerate.Formats.Email","type":"module"},{"doc":"Creates a NimbleParsec parser ~email/1 . This function returns {:ok, ...} if the passed string is a valid email, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~email&quot;","ref":"Exonerate.Formats.Email.html#filter/1","title":"Exonerate.Formats.Email.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for a hostname filter. the format is governed by section 2.1 of RFC 1123, which modifies RFC 952: https://www.rfc-editor.org/rfc/rfc1123.txt https://www.rfc-editor.org/rfc/rfc952.txt","ref":"Exonerate.Formats.Hostname.html","title":"Exonerate.Formats.Hostname","type":"module"},{"doc":"Creates a parser ~hostname/1 . This function returns {:ok} if the passed string is a valid hostname, or {:error, reason} if it is not. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~hostname&quot;","ref":"Exonerate.Formats.Hostname.html#filter/0","title":"Exonerate.Formats.Hostname.filter/0","type":"macro"},{"doc":"Module which provides a macro that generates special code for an idn-email filter. This is an email address with internationalization support. the format is governed by section 3.3 of RFC 6531: https://www.rfc-editor.org/rfc/rfc6531.txt","ref":"Exonerate.Formats.IdnEmail.html","title":"Exonerate.Formats.IdnEmail","type":"module"},{"doc":"Creates a NimbleParsec parser ~idn-email/1 . This function returns {:ok, ...} if the passed string is a valid idn-email, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~idn-email&quot;","ref":"Exonerate.Formats.IdnEmail.html#filter/1","title":"Exonerate.Formats.IdnEmail.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for an idn-hostname filter. This is a hostname with internationalization support. the format is governed by section 2.1 of RFC 1123, which modifies RFC 952: https://www.rfc-editor.org/rfc/rfc1123.txt https://www.rfc-editor.org/rfc/rfc952.txt","ref":"Exonerate.Formats.IdnHostname.html","title":"Exonerate.Formats.IdnHostname","type":"module"},{"doc":"Creates a parser ~idn-hostname/1 . This function returns {:ok} if the passed string is a valid idn hostname, or {:error, reason} if it is not. The function will only be created once per module, and it is safe to call the macro more than once. Warning this function generates code that requires the :idna library. Options: :name (atom): the name of the function to create. Defaults to :&quot;~idn-hostname&quot;","ref":"Exonerate.Formats.IdnHostname.html#filter/1","title":"Exonerate.Formats.IdnHostname.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for an iri filter. This is an absolute uri with internationalization support. If you require a relative uri, use Exonerate.Formats.IriReference . the format is governed by appendix A of RFC 3986, as modified by section 2.2 of RFC 3987: https://www.rfc-editor.org/rfc/rfc3986.txt https://www.rfc-editor.org/rfc/rfc3987.txt","ref":"Exonerate.Formats.Iri.html","title":"Exonerate.Formats.Iri","type":"module"},{"doc":"Creates a NimbleParsec parser ~iri/1 . This function returns {:ok, ...} if the passed string is a valid iri, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~iri&quot;","ref":"Exonerate.Formats.Iri.html#filter/1","title":"Exonerate.Formats.Iri.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for an iri-reference filter. This is a uri-reference with internationalization support. the format is governed by appendix A of RFC 3986: https://www.rfc-editor.org/rfc/rfc3986.txt","ref":"Exonerate.Formats.IriReference.html","title":"Exonerate.Formats.IriReference","type":"module"},{"doc":"Creates a NimbleParsec parser ~iri-reference/1 . This function returns {:ok, ...} if the passed string is a valid iri reference, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~iri-reference&quot;","ref":"Exonerate.Formats.IriReference.html#filter/0","title":"Exonerate.Formats.IriReference.filter/0","type":"macro"},{"doc":"Module which provides a macro that generates special code for a json pointer filter. the format is governed by Section 3 of RFC 6901: https://www.rfc-editor.org/rfc/rfc6901.txt","ref":"Exonerate.Formats.JsonPointer.html","title":"Exonerate.Formats.JsonPointer","type":"module"},{"doc":"Creates a NimbleParsec parser ~json-pointer/1 . This function returns {:ok, ...} if the passed string is a valid json pointer, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~json-pointer&quot;","ref":"Exonerate.Formats.JsonPointer.html#filter/1","title":"Exonerate.Formats.JsonPointer.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for an json pointer filter. the format is governed by the ECMA-262 standard: https://www.ecma-international.org/publications-and-standards/standards/ecma-262/","ref":"Exonerate.Formats.Regex.html","title":"Exonerate.Formats.Regex","type":"module"},{"doc":"Creates a NimbleParsec parser ~regex/1 . This function returns {:ok, ...} if the passed string is a valid regex, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~regex&quot;","ref":"Exonerate.Formats.Regex.html#filter/1","title":"Exonerate.Formats.Regex.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for a relative json pointer filter. the format is governed by this proposal: https://datatracker.ietf.org/doc/html/draft-handrews-relative-json-pointer-01","ref":"Exonerate.Formats.RelativeJsonPointer.html","title":"Exonerate.Formats.RelativeJsonPointer","type":"module"},{"doc":"Creates a NimbleParsec parser ~relative-json-pointer/1 . This function returns {:ok, ...} if the passed string is a valid relative json pointer, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~relative-json-pointer&quot;","ref":"Exonerate.Formats.RelativeJsonPointer.html#filter/1","title":"Exonerate.Formats.RelativeJsonPointer.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for a uri. This is an absolute uri. If you require a relative uri, use Exonerate.Formats.UriReference . the format is governed by appendix A of RFC 3986: https://www.rfc-editor.org/rfc/rfc3986.txt","ref":"Exonerate.Formats.Uri.html","title":"Exonerate.Formats.Uri","type":"module"},{"doc":"Creates a NimbleParsec parser ~uri/1 . This function returns {:ok, ...} if the passed string is a valid uri, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~uri&quot;","ref":"Exonerate.Formats.Uri.html#filter/1","title":"Exonerate.Formats.Uri.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for a uri filter. the format is governed by appendix A of RFC 3986: https://www.rfc-editor.org/rfc/rfc3986.txt","ref":"Exonerate.Formats.UriReference.html","title":"Exonerate.Formats.UriReference","type":"module"},{"doc":"Creates a NimbleParsec parser ~uri-reference/1 . This function returns {:ok, ...} if the passed string is a valid uri reference, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~uri-reference&quot;","ref":"Exonerate.Formats.UriReference.html#filter/1","title":"Exonerate.Formats.UriReference.filter/1","type":"macro"},{"doc":"Module which provides a macro that generates special code for a uri template. the format is governed by RFC 6570: https://www.rfc-editor.org/rfc/rfc6570.txt","ref":"Exonerate.Formats.UriTemplate.html","title":"Exonerate.Formats.UriTemplate","type":"module"},{"doc":"Creates a NimbleParsec parser ~uri-template/1 . This function returns {:ok, ...} if the passed string is a valid uri template, or {:error, reason, ...} if it is not. See NimbleParsec for more information on the return tuples. The function will only be created once per module, and it is safe to call the macro more than once. Options: :name (atom): the name of the function to create. Defaults to :&quot;~uri-template&quot;","ref":"Exonerate.Formats.UriTemplate.html#filter/1","title":"Exonerate.Formats.UriTemplate.filter/1","type":"macro"},{"doc":"Adapter for fetching remote content. Use the fetch_remote!/2 for creating your own adapters if the default adapter is inappropriate for your use case. Note that this module also contains overall logic for managing remote schemas.","ref":"Exonerate.Remote.html","title":"Exonerate.Remote","type":"module"},{"doc":"uses the Req library to fetch remote content. Note that this function fails if the remote resource does not return 200, and raises for any connection errors.","ref":"Exonerate.Remote.html#fetch_remote!/2","title":"Exonerate.Remote.fetch_remote!/2","type":"function"}]